Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.engine.gcv
Class GCVException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.novell.nds.dirxml.engine.gcv.GCVException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  GCValueNotFoundException, GCValueParseException, GCVArgumentException, GCVStateException, GCVXmlParseException, ShimParams.NoSuchReferenceException

    public class GCVException

extends Exception

Base class for exceptions thrown by Global Configuration Value classes and methods.

See Also:
  Serialized Form

Field Summary
`static int` | `ERR_BAD_DN_DELIMS` Code indicating that the specified delimiters for the `"custom"` DN type are invalid.
`static int` | `ERR_BAD_DN_FORMAT` Code indicating that the specified DN format is not valid.
`static int` | `ERR_BAD_DN_SPACE` Code indicating that the specified DN space is not valid.
`static int` | `ERR_BAD_RANGE_VALUE` Code indicating that a range value specified for a GCV (`"integer"` or `"real"`) is invalid.
`static int` | `ERR_BAD_XML` Code indicating some error was found in the XML representation of GCVs.
`static int` | `ERR_DUPLICATE_ENUM_CHOICE` Code indicating that an enum choice value is a duplicate of one already existing in the enum GCV definition.
`static int` | `ERR_DUPLICATE_VALUE_NAME` Code indicating that a GCV has the same name as another GCV in the collection of GCVs.
`static int` | `ERR_HEADER_NOT_ALLOWED_HERE` Code indicating a header was found in an invalid location in the XML.
`static int` | `ERR_INSERTION_POINT_NOT_FOUND` Code indicating that the specified point of insertion for a GCV or an enum choice was not found in the list.
`static int` | `ERR_INVALID_ACTIVE_VALUE` Code indicating that the `"active-value"` attribute of a subordinates section is invalid because if cannot occur based on the "group leader" definition.
`static int` | `ERR_INVALID_GROUP_LEADER` Code indicating that the "group leader" of an editing group is not of type `"boolean"` or `"enum"`
`static int` | `ERR_INVALID_NAME` Code indicating that a value name does not match the lexical rules for a value name.
`static int` | `ERR_INVALID_TYPE_SPECIFIER` Code indicating that the type specifier for a GCV is invalid.
`static int` | `ERR_MISSING_ACTIVE_VALUE` Code indicating a subordinates section active-value is missing.
`static int` | `ERR_MISSING_DEFINITIONS_ELEMENT` Code indicating that the XML representation of GCVs is missing the <definitions> element.
`static int` | `ERR_MISSING_DISPLAY_NAME` Code indicating a GCV instance does not have the required display name.
`static int` | `ERR_MISSING_DOCUMENT_ELEMENT` Code indicating that the XML representation of GCVs is missing the <configuration-values> element.
`static int` | `ERR_MISSING_ENUM_CHOICES` Code indicating that an enum GCV has no enum choices.
`static int` | `ERR_MULTIPLE_DEFINITIONS_ELEMENT` Code indicating that the XML representation of GCVs contains more than one <definitions> element.
`static int` | `ERR_MUST_BE_TRUE_OR_FALSE` Code indicating an XML attribute value must be `"true"` or `"false"`
`static int` | `ERR_REFERENCE_NOT_ALLOWED_HERE` Code indicating a gcv-ref was found in an invalid location in the XML.
`static int` | `ERR_SUBORDINATE_NOT_ALLOWED` Code indicating that a subordinates section was found as other than a child of a group.
`static int` | `ERR_TYPE_NOT_ALLOWED_HERE` Code indicating a particular GCV type is not allowed in the context in which it was found.
`static int` | `ERR_VALUE_INCOMPLETE` Code indicating a GCV value is not lexically complete.
`static int` | `ERR_VALUE_INVALID_CHAR` Code indicating a GCV value contains an invalid character according to the lexical rules for the GCV type.
`static int` | `ERR_VALUE_NULL` Code indicating a GCV value is empty or `null` when the value must be non-empty and non-`null`.
`static int` | `ERR_VALUE_OUT_OF_RANGE` Code indicating a GCV value is not within the legal range for the type instance.
`static int` | `ERR_VALUE_REFERENCE_NOT_FOUND` Code indicating a value name referenced from an XML document was not found in the collections of GCVs.

Constructor Summary
`GCVException(int code)` Construct a `GCVException` with the passed code.
`GCVException(int code, GCValue value)` Construct a `GCVException` with the passed code and value name.
`GCVException(int code, GCValue value, Node node)` Construct a `GCVException` with the passed code and value name.
`GCVException(int code, Node node)` Construct a `GCVException` with the passed code and XML location information from the passed node.
`GCVException(int code, Object[] parms)` Construct a `GCVException` with the passed code and detail parameters.
`GCVException(int code, Object[] parms, Node node)` Construct a `GCVException` with the passed code and detail parameters.

Method Summary
`int` | `getCode()` Return the code associated with this `GCVException`.
`Node` | `getNode()` Return the context node associated with this instance, if any.
`String` | `getValueName()` Return the value name associated with this instance, if any.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ERR_VALUE_NULL

    public static final int ERR_VALUE_NULL

  Code indicating a GCV value is empty or `null` when the value must be non-empty and non-`null`.

  See Also:
    Constant Field Values

### ERR_VALUE_INVALID_CHAR

    public static final int ERR_VALUE_INVALID_CHAR

  Code indicating a GCV value contains an invalid character according to the lexical rules for the GCV type.

  See Also:
    Constant Field Values

### ERR_VALUE_OUT_OF_RANGE

    public static final int ERR_VALUE_OUT_OF_RANGE

  Code indicating a GCV value is not within the legal range for the type instance.

  See Also:
    Constant Field Values

### ERR_VALUE_INCOMPLETE

    public static final int ERR_VALUE_INCOMPLETE

  Code indicating a GCV value is not lexically complete.

  See Also:
    Constant Field Values

### ERR_MISSING_DISPLAY_NAME

    public static final int ERR_MISSING_DISPLAY_NAME

  Code indicating a GCV instance does not have the required display name.

  See Also:
    Constant Field Values

### ERR_MISSING_ENUM_CHOICES

    public static final int ERR_MISSING_ENUM_CHOICES

  Code indicating that an enum GCV has no enum choices.

  See Also:
    Constant Field Values

### ERR_DUPLICATE_ENUM_CHOICE

    public static final int ERR_DUPLICATE_ENUM_CHOICE

  Code indicating that an enum choice value is a duplicate of one already existing in the enum GCV definition.

  See Also:
    Constant Field Values

### ERR_INVALID_TYPE_SPECIFIER

    public static final int ERR_INVALID_TYPE_SPECIFIER

  Code indicating that the type specifier for a GCV is invalid.

  See Also:
    Constant Field Values

### ERR_DUPLICATE_VALUE_NAME

    public static final int ERR_DUPLICATE_VALUE_NAME

  Code indicating that a GCV has the same name as another GCV in the collection of GCVs.

  See Also:
    Constant Field Values

### ERR_INSERTION_POINT_NOT_FOUND

    public static final int ERR_INSERTION_POINT_NOT_FOUND

  Code indicating that the specified point of insertion for a GCV or an enum choice was not found in the list.

  See Also:
    Constant Field Values

### ERR_BAD_DN_FORMAT

    public static final int ERR_BAD_DN_FORMAT

  Code indicating that the specified DN format is not valid.

  See Also:
    Constant Field Values

### ERR_BAD_DN_DELIMS

    public static final int ERR_BAD_DN_DELIMS

  Code indicating that the specified delimiters for the `"custom"` DN type are invalid.

  See Also:
    Constant Field Values

### ERR_BAD_RANGE_VALUE

    public static final int ERR_BAD_RANGE_VALUE

  Code indicating that a range value specified for a GCV (`"integer"` or `"real"`) is invalid.

  See Also:
    Constant Field Values

### ERR_INVALID_NAME

    public static final int ERR_INVALID_NAME

  Code indicating that a value name does not match the lexical rules for a value name.

  See Also:
    Constant Field Values

### ERR_MISSING_DOCUMENT_ELEMENT

    public static final int ERR_MISSING_DOCUMENT_ELEMENT

  Code indicating that the XML representation of GCVs is missing the <configuration-values> element.

  See Also:
    Constant Field Values

### ERR_MISSING_DEFINITIONS_ELEMENT

    public static final int ERR_MISSING_DEFINITIONS_ELEMENT

  Code indicating that the XML representation of GCVs is missing the <definitions> element.

  See Also:
    Constant Field Values

### ERR_MULTIPLE_DEFINITIONS_ELEMENT

    public static final int ERR_MULTIPLE_DEFINITIONS_ELEMENT

  Code indicating that the XML representation of GCVs contains more than one <definitions> element.

  See Also:
    Constant Field Values

### ERR_BAD_XML

    public static final int ERR_BAD_XML

  Code indicating some error was found in the XML representation of GCVs.

  See Also:
    Constant Field Values

### ERR_MISSING_ACTIVE_VALUE

    public static final int ERR_MISSING_ACTIVE_VALUE

  Code indicating a subordinates section active-value is missing.

  See Also:
    Constant Field Values

### ERR_INVALID_GROUP_LEADER

    public static final int ERR_INVALID_GROUP_LEADER

  Code indicating that the "group leader" of an editing group is not of type `"boolean"` or `"enum"`

  See Also:
    Constant Field Values

### ERR_INVALID_ACTIVE_VALUE

    public static final int ERR_INVALID_ACTIVE_VALUE

  Code indicating that the `"active-value"` attribute of a subordinates section is invalid because if cannot occur based on the "group leader" definition.

  See Also:
    Constant Field Values

### ERR_SUBORDINATE_NOT_ALLOWED

    public static final int ERR_SUBORDINATE_NOT_ALLOWED

  Code indicating that a subordinates section was found as other than a child of a group.

  See Also:
    Constant Field Values

### ERR_TYPE_NOT_ALLOWED_HERE

    public static final int ERR_TYPE_NOT_ALLOWED_HERE

  Code indicating a particular GCV type is not allowed in the context in which it was found.

  See Also:
    Constant Field Values

### ERR_HEADER_NOT_ALLOWED_HERE

    public static final int ERR_HEADER_NOT_ALLOWED_HERE

  Code indicating a header was found in an invalid location in the XML.

  See Also:
    Constant Field Values

### ERR_REFERENCE_NOT_ALLOWED_HERE

    public static final int ERR_REFERENCE_NOT_ALLOWED_HERE

  Code indicating a gcv-ref was found in an invalid location in the XML.

  See Also:
    Constant Field Values

### ERR_MUST_BE_TRUE_OR_FALSE

    public static final int ERR_MUST_BE_TRUE_OR_FALSE

  Code indicating an XML attribute value must be `"true"` or `"false"`

  See Also:
    Constant Field Values

### ERR_BAD_DN_SPACE

    public static final int ERR_BAD_DN_SPACE

  Code indicating that the specified DN space is not valid.

  See Also:
    Constant Field Values

### ERR_VALUE_REFERENCE_NOT_FOUND

    public static final int ERR_VALUE_REFERENCE_NOT_FOUND

  Code indicating a value name referenced from an XML document was not found in the collections of GCVs.

  See Also:
    Constant Field Values

Constructor Detail

### GCVException

    public GCVException(int code)

  Construct a `GCVException` with the passed code.

  Parameters:
    `code` - numeric error code

### GCVException

    public GCVException(int code,
                        Node node)

  Construct a `GCVException` with the passed code and XML location information from the passed node.

  Parameters:
    `code` - numeric error code
    `node` - XML node that is the source of the error.

### GCVException

    public GCVException(int code,
                        GCValue value)

  Construct a `GCVException` with the passed code and value name.

  Parameters:
    `code` - error code
    `value` - `GCValue` generating this exception

### GCVException

    public GCVException(int code,
                        GCValue value,
                        Node node)

  Construct a `GCVException` with the passed code and value name.

  Parameters:
    `code` - error code
    `value` - `GCValue` generating this exception
    `node` - XML node that is the source of the error.

### GCVException

    public GCVException(int code,
                        Object[] parms)

  Construct a `GCVException` with the passed code and detail parameters.

  Parameters:
    `code` -
    `parms` - parameters for message

### GCVException

    public GCVException(int code,
                        Object[] parms,
                        Node node)

  Construct a `GCVException` with the passed code and detail parameters.

  Parameters:
    `code` -
    `parms` - parameters for message
    `node` - XML node that is the source of the error.

Method Detail

### getCode

    public int getCode()

  Return the code associated with this `GCVException`.

  Returns:
    code

### getValueName

    public String getValueName()

  Return the value name associated with this instance, if any.

  Returns:
    value name, or `null`.

### getNode

    public Node getNode()

  Return the context node associated with this instance, if any.

  Returns:
    `Node` or `null`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD